Fileinfo Functions
finfo_close
Fileinfo Functions
PHP Manual

# finfo_buffer

# finfo::buffer

Return information about a string buffer

### Description

Procedural style

string finfo_buffer ( resource `$finfo` , string `$string` = `NULL` [, int `$options` = FILEINFO_NONE [, resource `$context` = `NULL` ]] )

Object oriented style

public string finfo::buffer ( string `$string` = `NULL` [, int `$options` = FILEINFO_NONE [, resource `$context` = `NULL` ]] )

This function is used to get information about binary data in a string.

### Parameters

`finfo`

  Fileinfo resource returned by finfo_open.

`string`

  Content of a file to be checked.

`options`

  One or disjunction of more Fileinfo constants.

`context`

### Return Values

Returns a textual description of the `string` argument, or `FALSE` if an error occurred.

### Examples

Example #1 A finfo_buffer example

`<?php
$finfo = new finfo(FILEINFO_MIME);
echo $finfo->buffer($_POST["script"]) . "\n";
?>`

The above example will output something similar to:

    application/x-sh; charset=us-ascii

### See Also

- finfo_file